--
-- 
-- Autor: Siwus
--

tramlines = {};

function tramlines.prerequisitesPresent(specializations)
    return true;
end;

function tramlines:load(xmlFile)
	local numdrivingLines = Utils.getNoNil(getXMLInt(self.xmlFile, "vehicle.drivingLines#count"), 0);
	self.drivingLines = {};
    for i=1, numdrivingLines do
        self.drivingLines[i] = {};
        local areanamei = string.format("vehicle.drivingLines.cuttingArea%d", i);
        self.drivingLines[i].start = Utils.indexToObject(self.components, getXMLString(self.xmlFile, areanamei .. "#startIndex"));
        self.drivingLines[i].width = Utils.indexToObject(self.components, getXMLString(self.xmlFile, areanamei .. "#widthIndex"));
        self.drivingLines[i].height = Utils.indexToObject(self.components, getXMLString(self.xmlFile, areanamei .. "#heightIndex"));
	end;

end;

function tramlines:delete()
end;

function tramlines:mouseEvent(posX, posY, isDown, isUp, button)
end;

function tramlines:keyEvent(unicode, sym, modifier, isDown)
	if isDown and sym == Input.KEY_m then
		self.znaczniki = not self.znaczniki;
		self.rotationMaxLeft = not self.rotationMaxLeft;
	end;
end;

function tramlines:update(dt)	
	if self.attacherVehicle then
		--if not self.znaczniki then
			if self.drivingLines[2] ~= nil then
				local x,y,z = getWorldTranslation(self.drivingLines[2].start);
				local x1,y1,z1 = getWorldTranslation(self.drivingLines[2].width);
				local x2,y2,z2 = getWorldTranslation(self.drivingLines[2].height);	
				Utils.updateCultivatorArea(x, z, x1, z1, x2, z2)
			end;	
			if self.drivingLines[1] ~= nil then
				local x,y,z = getWorldTranslation(self.drivingLines[1].start);
				local x1,y1,z1 = getWorldTranslation(self.drivingLines[1].width);
				local x2,y2,z2 = getWorldTranslation(self.drivingLines[1].height);		
				Utils.updateCultivatorArea(x, z, x1, z1, x2, z2)
			end;
		--end;
	end;
    

end;


function tramlines:draw()
end;


function tramlines:onAttach(attacherVehicle)
end;


function tramlines:onDetach()
end;


function tramlines:onLeave()
end;


function tramlines:onDeactivate()
end;


function tramlines:onDeactivateSounds()
end;
